
void print_number(int x) {
  int temp;
  if (integerp(x) == Mtrue)
    write_int(get_integer_val(x));
  else {
    if (Mvecref(x, 1) == 1)
      putchar('-');
    printf("0.");
    for (temp = PRECISION + 2; temp >= 3; temp--) {
      putchar(Mvecref(x, temp) + '0');
    }
    putchar('e');
    write_int(Mvecref(x, 2));
  }
  return;
}
